ACL_GET_PERMSET(3)

NAME
acl_get_permset - retrieve the permission set from an ACL entry

LIBRARY
Linux Access Control Lists library (libacl, -lacl).

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_get_permset(acl_entry_t entry_d, acl_permset_t *permset_p);

DESCRIPTION
The acl_get_permset() function returns in permset_p a descriptor to the permission set in the ACL entry indicated by entry_d. Subsequent operations using the returned permission set descriptor operate on the permission set within the ACL entry.

Any ACL entry descriptors that refer to the entry referred to by entry_d shall continue to refer to those entries.

RETURN VALUE

ERRORS
If any of the following conditions occur, the acl_get_permset() function returns -1 and sets errno to the corresponding value:

[EINVAL]
    The argument entry_d is not a valid descriptor for an ACL entry.

STANDARDS
IEEE Std 1003.1e draft 17 (“POSIX.1e”, abandoned)

SEE ALSO
acl_add_perm(3), acl_clear_perms(3), acl_delete_perm(3), acl_get_perm(3), acl_get_qualifier(3), acl_get_tag_type(3), acl_set_permset(3), acl_set_qualifier(3), acl_set_tag_type(3), acl(5)

AUTHOR
Derived from the FreeBSD manual pages written by Robert N M Watson <rwatson@FreeBSD.org>, and adapted for Linux by Andreas Gruenbacher <a.gruenbacher@bestbits.at>.